from abc import ABC
from db.db import MongoDatabse
from core.publisher import Publisher

class Resource(ABC):

    def __init__(self):
        self.db = MongoDatabse()
        self.publish_ops = Publisher()